/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interfaces.h"

namespace morpheo              {
namespace behavioural          {

  XML Interfaces::toXML (void)
  {
    XML xml ("interfaces");
    
    if (_list_interface->empty()== false)
      {
	list<Interface>::iterator i     = _list_interface->begin();

	while (i != _list_interface->end())
	  {
	    xml.  insert_XML ((*i).toXML());
	    ++i;
	  }
      }
     
    return xml;
  };

#ifdef POSITION
  XML Interfaces::toXML_mapping (void)
  {
    XML xml ("interfaces");
    
    if (_list_interface->empty()== false)
      {
	list<Interface>::iterator i     = _list_interface->begin();

	while (i != _list_interface->end())
	  {
	    xml.  insert_XML ((*i).toXML_mapping());
	    ++i;
	  }
      }
     
    return xml;
  };
#endif
}; // end namespace behavioural          
}; // end namespace morpheo              
